<?xml version="1.0" encoding="UTF_8"?>
<DynamicPipelineCap>
    <tag key="HAL_PRIVATE_DYNAMIC_PIPE_NORMAL" type="int32_t">
        <group>
            <value>3</value>     <!-- span of scenes -->
            <value type="string2Enum">CAMERA_PRIVATE_SM_NORMAL_CAPTURE</value> <!-- scene -->
            <value type="string2Enum">CAMERA_PRIVATE_SM_FOV_FUSION</value>
            <value type="string2Enum">CAMERA_PRIVATE_SM_BURST</value>
            <value>15</value>    <!-- 01111 pipelineMask -->
        </group>
        <group>
            <value>1</value>
            <value type="string2Enum">CAMERA_PRIVATE_SM_MONO_CAPTURE</value>
            <value>11</value>    <!-- 01011 -->
        </group>
        <group>
            <value>6</value>
            <value type="string2Enum">CAMERA_PRIVATE_SM_NORMAL_VIDEO</value>
            <value type="string2Enum">CAMERA_PRIVATE_SM_PROFESSIONAL_VIDEO</value>
            <value type="string2Enum">CAMERA_PRIVATE_SM_NORMAL_VIDEO_60FPS</value>
            <value type="string2Enum">CAMERA_PRIVATE_SM_PROFESSIONAL_VIDEO_60FPS</value>
            <value type="string2Enum">CAMERA_PRIVATE_SM_SUPER_EIS_VID</value>
            <value type="string2Enum">CAMERA_PRIVATE_SM_APERTURE_VIDEO</value>
            <value>3</value>     <!-- 00011 -->
        </group>
    </tag>
    <tag key="HAL_PRIVATE_DYNAMIC_PIPE_MACRO" type="int32_t">
        <group>
            <value>2</value>     <!-- span of macroModes -->
            <value>8</value>     <!-- span of conditions -->
            <value type="string2Enum">MACRO_PHOTO_WIDE</value> <!-- macroMode -->
            <value type="string2Enum">SUPER_MACRO_PHOTO_WIDE</value>
            <value>0</value>     <!-- need dual yuv -->
            <value>0</value>     <!-- minZoomRatio * 1000 -->
            <value>1499</value>  <!-- maxZoomRatio * 1000 -->
            <value>7</value>     <!-- 00111 pipelineMask -->
            <value>0</value>
            <value>1500</value>
            <value>15000</value>
            <value>23</value>    <!-- 10111 -->
        </group>
        <group>
            <value>2</value>
            <value>8</value>
            <value type="string2Enum">MACRO_VIDEO_WIDE</value>
            <value type="string2Enum">SUPER_MACRO_VIDEO_WIDE</value>
            <value>0</value>
            <value>0</value>
            <value>1349</value>
            <value>7</value>     <!-- 00111 -->
            <value>0</value>
            <value>1350</value>
            <value>10000</value>
            <value>23</value>    <!-- 10111 -->
        </group>
    </tag>
</DynamicPipelineCap>